%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		seafile
Version:	5.1.1
Release:	%mkrel 1
Summary:	Open source cloud storage system with features on privacy protection and teamwork
License:	GPLv3+
Group:		Networking/File transfer
URL:		https://github.com/haiwen/seafile
Source0:	https://github.com/haiwen/seafile/archive/v%{version}/%{name}-%{version}.tar.xz
BuildRequires:  intltool
BuildRequires:	libglib2.0-devel
BuildRequires:	libjansson-devel
BuildRequires:	libsqlite3-devel
BuildRequires:	libopenssl-devel
BuildRequires:	libevent-devel
BuildRequires:	libuuid-devel
BuildRequires:	libcurl-devel
BuildRequires:	libsearpc-devel
BuildRequires:	libccnet-devel
BuildRequires:	libpython-devel
BuildRequires:	vala >= 0.26

Requires:	ccnet
Requires:	python-seafile

%description
Seafile is an open source cloud storage system with features on privacy
protection and teamwork. Collections of files are called libraries, and
each library can be synced separately. A library can also be encrypted
with a user chosen password. Seafile also allows users to create groups
and easily sharing files into groups.

#----------------------------------------------------

%package -n	%{libname}
Summary:	Library for %{name}
Group:		System/Libraries

%description -n	%{libname}
Seafile is an open source cloud storage system with features on privacy
protection and teamwork. Collections of files are called libraries, and
each library can be synced separately. A library can also be encrypted
with a user chosen password. Seafile also allows users to create groups
and easily sharing files into groups.
This package contains library files for %{name}.

#----------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%package -n	python-%{name}
Summary:	Python 2 bindings for %{name}
Group:		Development/Python
BuildArch:	noarch
Provides:	pythonegg(2)(seafile) = %{version}-%{release}
Provides:	pythonegg(2)(seaserv) = %{version}-%{release}

%description -n	python-%{name}
Seafile is an open source cloud storage system with features on privacy
protection and teamwork. Collections of files are called libraries, and
each library can be synced separately. A library can also be encrypted
with a user chosen password. Seafile also allows users to create groups
and easily sharing files into groups.
This package contains the python 2 bindings for %{name}.

#----------------------------------------------------

%prep
%setup -q

sed -i -e /\(DESTDIR\)/d lib/libseafile.pc.in

NOCONFIGURE=1 ./autogen.sh

%build
%configure2_5x \
	--disable-static \
	--disable-server \
	--enable-client \
	--disable-fuse
%make

%install
rm -rf %buildroot
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc README.markdown LICENSE.txt
%{_bindir}/*
%{_mandir}/man1/*.1.*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{develname}
%doc README.markdown
%{_includedir}/*
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc

%files -n python-%{name}
%doc README.markdown
%{python2_sitearch}/%{name}/
%{python2_sitearch}/seaserv/


%changelog
* Sun Oct 30 2016 adrianomorselli <adrianomorselli> 5.1.1-1uplos2016
- rebuild

* Sat May  07 2016 bb <bb> 5.1.1-1pclos2016
- import

